Docker compose up error

Hi, I am trying to run opennms on a Ubuntu server that already has Docker installed and another application running in another container. When I try to startup the container for opennms, I originally got a version error, which I rectified in the docker-compose.yml. I am now getting this message: “The Compose file ./docker-compose.yml is invalid because: Unsupported config option for service.opennms: ‘init’” (which is set to true).

Can you please share your docker-compose.yml file?

Can you please share also which Docker version and Docker Compose version you have? You can check this with

docker -v
docker-compose -v